from machine import Pin
import utime
import tm1637

tm = tm1637.TM1637(clk=Pin(15), dio=Pin(14))
trig = Pin(5, Pin.OUT)
echo = Pin(3, Pin.IN)
trig.value(0)

while True :
    trig.value(1)
    utime.sleep_us(10)
    trig.value(0)
    t1 = utime.ticks_us()
    while echo.value() == 0:
         t1 = utime.ticks_us()
    while echo.value() == 1:
         t2 = utime.ticks_us()
    tim = t2-t1
    d = 17*tim/1000
    dist = int(d)
    d0 = int(dist/1000)
    d1 = int(dist/100) % 10
    d2 = int(dist/10) % 10
    d3 = int(dist) % 10 
    str_dist = str(d0) + str(d1) + str(d2) + str(d3) 
    tm.show(str_dist)
    print("distancia", d, "cms")
    utime.sleep(1)
        
    